package demos;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;
import java.io.IOException;
import java.io.PrintWriter;

// ################################################
// ##                                            ##
// ## THIS SERVLET SAYS HI                       ##
// ##                                            ##
// ## (c) Hernadvolgyi, 2002                     ##
// ##                                            ##
// ################################################
public class Demo1 extends HttpServlet {

   private void doStuff(
        String method,
        HttpServletRequest request,   // what comes in
        HttpServletResponse response  // what goes out
      ) throws IOException, ServletException {

      response.setContentType("text/html");
      PrintWriter os = response.getWriter();
      os.println("<html>");
      os.println("<head><title>Demo</title></head>");
      os.println("<body>");
      os.println("<H1>Hey, it worked!</H1>");
      os.println("I was invoked by " + method);
      os.println("</body>");
      os.println("</html>");
   }

   public void doGet(
        HttpServletRequest request,   // what comes in
        HttpServletResponse response  // what goes out
      ) throws IOException, ServletException {

      doStuff("<b>GET</b>",request,response);
   }

   public void doPost(
        HttpServletRequest request,   // what comes in
        HttpServletResponse response  // what goes out
      ) throws IOException, ServletException {

      doStuff("<b>POST</b>",request,response);
   }

}

